> For the complete documentation index, see [llms.txt](https://developers.portos.sk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.portos.sk/api-reference/tickets/ticket-model-states.md).

# Ticket Model States

A [ticket](/data-models.md#ticket), depending on its state, represents either a customer order or a printed receipt. The ticket has two defined states:

* **Opened**: Represents a customer order that has not been paid yet.
* **Closed**: Once the ticket is printed on the receipt printer (or sent as e-mail receipt), it is marked as closed and becomes uneditable.

You can determine whether a ticket is closed by checking the value of the `closeInfo` and `closeDate` properties. If the value both properties is `null`, the ticket is *open* and can be edited. If the values are not `null`, the ticket is *closed*, and the `closeInfo` value contains information about the closing procedure. This information includes details such as the [fiscal printer](/api-reference/fiscals.md) name, receipt sequence number and the unique receipt identifier provided by the tax authority (Finančná správa in Slovakia).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.portos.sk/api-reference/tickets/ticket-model-states.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
